#95559 Report by node docker-deb-ubuntu_14_04_trusty covering 2037 tests from 55 modules resulted into 6 errors

Report

ObsPy Version
1.1.0.post0+421.gd0951191b6...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
580.8 sec
Report Date/Time
2018-05-16 02:38:56

System / Python

Architecture
64bit
Machine
x86_64
Node
docker-deb-ubuntu_14_04_trusty
Processor
x86_64
Python Compiler
GCC 4.8.4
Python Implementation
CPython
Python Version
3.4.3
Release
4.4.0-122-generic
System
Linux
Version
#146-Ubuntu SMP Mon Apr 23 15:34:04 UTC 2018

Dependencies

cartopy
---
decorator
3.4.0
flake8
2.1.0
future
0.16.0
geographiclib
---
lxml.etree
3.3.3
m2crypto
---
matplotlib
1.3.1
mock
1.0.1
mpl_toolkits.basemap
---
numpy
1.8.2
pep8-naming
---
pyflakes
0.8.1
pyimgur
0.5.3
pyproj
1.8.9
requests
2.2.1
scipy
0.13.3
setuptools
3.3
shapefile
???
sqlalchemy
0.8.4

Modules (55)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 3 1 2 3
obspy.clients.earthworm - -
obspy.clients.fdsn 1 4
obspy.clients.filesystem - -
obspy.clients.iris 2 5 6
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 6 6

Tracebacks (6)

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/tests/test_client.py", line 527, in test_save_waveform_no_compression
end, compressed=False)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 565, in save_waveforms
data = self._fetch(rtype, rdata, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 260, in _fetch
return self._request(request_type, request_data)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/tests/test_client.py", line 172, in test_get_inventory
endtime=dt + 1)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 1123, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/tests/test_client.py", line 757, in test_get_waveform_instrument_change
metadata=True)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 444, in get_waveforms
compressed=compressed, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 565, in save_waveforms
data = self._fetch(rtype, rdata, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 225, in _fetch
endtime=request_data[1])
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 622, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/tests/test_federator_routing_client.py", line 342, in test_get_stations_integration_test
channel="LHZ", level="network")
File "<string>", line 2, in get_stations
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/federator_routing_client.py", line 110, in get_stations
return super(FederatorRoutingClient, self).get_stations(**kwargs)
File "<string>", line 2, in get_stations
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 344, in get_stations
return self.get_stations_bulk([bulk], **kwargs)
File "<string>", line 2, in get_stations_bulk
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/federator_routing_client.py", line 143, in get_stations_bulk
r = self._download(self._url + "/query", data=bulk_str)
File "/usr/lib/python3/dist-packages/obspy/clients/base.py", line 245, in _download
self._handle_requests_http_error(r)
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/routing/routing_client.py", line 280, in _handle_requests_http_error
raise_on_error(r.status_code, get_reason_from_response(r))
File "/usr/lib/python3/dist-packages/obspy/clients/fdsn/client.py", line 1710, in raise_on_error
raise FDSNException(msg, server_info)
obspy.clients.fdsn.header.FDSNException: Bad request. If you think your request was valid please contact the developers.
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 469, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 507, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 441, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 587, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/tests/test_client.py", line 256, in test_timeseries
filter=["correct"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.timeseries
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 177, in timeseries
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 318, in obspy.clients.iris.client.Client.timeseries
Failed example:
st = client.timeseries("IU", "ANMO", "00", "BHZ", dt, dt+10,
filter=["correct", "demean", "lp=2.0"])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.4/urllib/request.py", line 469, in open
response = meth(req, response)
File "/usr/lib/python3.4/urllib/request.py", line 579, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.4/urllib/request.py", line 507, in error
return self._call_chain(*args)
File "/usr/lib/python3.4/urllib/request.py", line 441, in _call_chain
result = func(*args)
File "/usr/lib/python3.4/urllib/request.py", line 587, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.iris.client.Client.timeseries[6]>", line 2, in <module>
filter=["correct", "demean", "lp=2.0"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 320, in obspy.clients.iris.client.Client.timeseries
Failed example:
print(st[0].data) # doctest: +ELLIPSIS
Expected:
[ -1.57488682e-06 -1.26318002e-06 -7.84807128e-07 ...
Got:
[ 24 20 19 19 19 15 10 4 -4 -11 -19 -26 -35 -48 -60
-72 -83 -95 -109 -121 -133 -147 -162 -179 -195 -208 -221 -238 -256 -272
-285 -301 -314 -324 -333 -341 -350 -358 -365 -370 -376 -378 -378 -380 -381
-381 -378 -376 -374 -370 -364 -359 -356 -352 -345 -337 -331 -328 -323 -316
-310 -305 -301 -295 -290 -289 -283 -275 -271 -269 -267 -263 -258 -257 -253
-248 -243 -240 -239 -237 -233 -229 -224 -218 -211 -208 -205 -202 -200 -195
-191 -185 -181 -180 -179 -177 -177 -177 -176 -176 -179 -183 -185 -187 -189
-192 -198 -204 -210 -216 -220 -227 -235 -241 -247 -253 -262 -270 -277 -284
-294 -304 -313 -323 -332 -340 -345 -350 -355 -358 -361 -364 -369 -372 -371
-372 -374 -373 -368 -364 -362 -357 -349 -344 -338 -331 -320 -311 -302 -291
-280 -268 -255 -243 -231 -218 -203 -187 -173 -160 -147 -132 -119 -108 -97
-86 -73 -62 -54 -48 -42 -37 -33 -29 -27 -27 -25 -26 -27 -29
-31 -30 -31 -36 -40 -44 -52 -59 -68 -77 -83 -89 -95 -101 -108
-116 -123 -130 -141 -150]

Skipped Tests (58)

Submodule Test Skip Message
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
imaging test_farfield_with_quiver (obspy.imaging.tests.test_source.RadPatternTestCase) matplotlib >= 1.4 needed for 3D quiver plot.
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.arclink test_cryptography (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_no_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_unknown_user (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_dcid_key (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_wrong_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) basemap not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed

Slowest Tests (20)

Runtime Test
31.651s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
30.463s test_get_stations_inconsistency (obspy.clients.arclink.tests.test_client.ClientTestCase)
29.859s test_save_waveform_no_compression (obspy.clients.arclink.tests.test_client.ClientTestCase)
28.711s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
21.776s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.595s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
9.956s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.863s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
9.610s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.460s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.726s test_eida_token_resolution (obspy.clients.fdsn.tests.test_client.ClientTestCase)
8.320s test_issue_311 (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.302s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
8.171s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
7.217s test_get_waveforms_integration_test (obspy.clients.fdsn.tests.test_federator_routing_client.FederatorRoutingClientTestCase)
7.157s test_get_waveform (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.939s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.633s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.041s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
5.828s test_issue_372 (obspy.clients.arclink.tests.test_client.ClientTestCase)

Chuck Norris Fact

Chuck Norris can unit test entire applications with a single assert.